import FlashMovie
import Products.CMFCore


from Products.CMFCore import utils, CMFCorePermissions
from Products.CMFCore.DirectoryView import registerDirectory

import sys
this_module = sys.modules[__name__]

contentConstructors = (FlashMovie.addFlashMovie, )
contentClasses = (FlashMovie.FlashMovie, )

z_bases = utils.initializeBasesPhase1( contentClasses, this_module )

flashmovie_globals = globals()

registerDirectory('skins', globals())
registerDirectory('skins/flashmovie', globals())

def initialize(context):
    utils.initializeBasesPhase2(z_bases, context)
    context.registerHelpTitle('CMF FlashMovie Help')
    context.registerHelp(directory='help')
    utils.ContentInit('CMF FlashMovie',
                      content_types = contentClasses,
                      permission = CMFCorePermissions.AddPortalContent,
                      extra_constructors = contentConstructors,
                      fti = FlashMovie.factory_type_information\
                      ).initialize( context )

